Bug 394821 - claws-mail - crash on message delete/move
claws-mail - crash on message delete/move
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 14:47 EST by Patrick C. F. Ernzer
Modified: 2009-08-17 10:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 10:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugreport that the GUI tool spit out (392.17 KB, text/plain)
2007-11-21 14:47 EST, Patrick C. F. Ernzer
no flags Details
backtrace under F10 x86_64 (7.60 KB, text/plain)
2009-02-16 02:20 EST, Patrick C. F. Ernzer
no flags Details
backtrace under F10 i386 (8.34 KB, text/plain)
2009-02-19 14:46 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2007-11-21 14:47:34 EST
Description of problem:


Version-Release number of selected component (if applicable):
claws-mail-3.0.2-1.fc8.src.rpm

How reproducible:
random

Steps to Reproduce:
1. read mail
2. delete or move a message
  
Actual results:
rarely (once every day or two) claws-mail will crash, no idea how to explicitly
trigger it.

Expected results:
stable mail user agent

Additional info:
only filing this bug because claws-mail spit out a trace. If the trace has no
clue as to why this happens, simply close (or do tell if you wish me to instyall
-debuginfo)
Comment 1 Patrick C. F. Ernzer 2007-11-21 14:47:34 EST
Created attachment 266271 [details]
bugreport that the GUI tool spit out
Comment 2 Andreas Bierfert 2007-11-26 02:52:27 EST
Thanks for reporting I will forward it to upstream.
Comment 3 Bug Zapper 2008-11-26 03:38:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Patrick C. F. Ernzer 2008-11-26 10:44:04 EST
the problem remained under F9, so changing version.
I should know in a day of two if it also still happens under F10 (most boxes updated yesterday), but for now F9 is the release I can comfirm claws had this behaviour under sporadically.
Still no idea how to consistently reproduce it.
Comment 5 Patrick C. F. Ernzer 2009-02-16 02:18:38 EST
Bug also happens under F10
Comment 6 Patrick C. F. Ernzer 2009-02-16 02:20:47 EST
Created attachment 332004 [details]
backtrace under F10 x86_64

this is on another machine than the one the bug was originally reported on (the bug happens on all my machines, it's just not reliable reproduceable).
claws-mail-debuginfo is installed on this box, so we get symbols from that binary. Do tell if you need me to install -debuginfo of the other binaries too.
Comment 7 Patrick C. F. Ernzer 2009-02-19 14:46:59 EST
Created attachment 332620 [details]
backtrace under F10 i386

here's a backtrace generated by bug-buddy where all the necessary -debuginfo were available.

this time I was just trying to view a message, not delete or move it.
Comment 8 Michael Schwendt 2009-08-03 07:21:35 EDT
Are you still able to reproduce it also with Claws Mail 3.7.2? It contains at least one fix for an out-of-bounds condition in gtkcmctree:
https://admin.fedoraproject.org/updates/F10/FEDORA-2009-7933
Comment 9 Patrick C. F. Ernzer 2009-08-17 10:27:55 EDT
3.7.2 has not crashed (yet), suggest we close off this bus as fixed by next upstream. I will re-open if it bails out on me again.
Comment 10 Andreas Bierfert 2009-08-17 10:38:41 EDT
Agreed.

Note You need to log in before you can comment on or make changes to this bug.